<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Get_Temperatures StructType
 * @subpackage Structs
 */
class Get_Temperatures extends AbstractStructBase
{
    /**
     * The Login
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Login
     */
    public $Login;
    /**
     * The TemperatureSelection
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\TemperatureSelection
     */
    public $TemperatureSelection;
    /**
     * Constructor method for Get_Temperatures
     * @uses Get_Temperatures::setLogin()
     * @uses Get_Temperatures::setTemperatureSelection()
     * @param \StructType\Login $login
     * @param \StructType\TemperatureSelection $temperatureSelection
     */
    public function __construct(\StructType\Login $login = null, \StructType\TemperatureSelection $temperatureSelection = null)
    {
        $this
            ->setLogin($login)
            ->setTemperatureSelection($temperatureSelection);
    }
    /**
     * Get Login value
     * @return \StructType\Login|null
     */
    public function getLogin()
    {
        return $this->Login;
    }
    /**
     * Set Login value
     * @param \StructType\Login $login
     * @return \StructType\Get_Temperatures
     */
    public function setLogin(\StructType\Login $login = null)
    {
        $this->Login = $login;
        return $this;
    }
    /**
     * Get TemperatureSelection value
     * @return \StructType\TemperatureSelection|null
     */
    public function getTemperatureSelection()
    {
        return $this->TemperatureSelection;
    }
    /**
     * Set TemperatureSelection value
     * @param \StructType\TemperatureSelection $temperatureSelection
     * @return \StructType\Get_Temperatures
     */
    public function setTemperatureSelection(\StructType\TemperatureSelection $temperatureSelection = null)
    {
        $this->TemperatureSelection = $temperatureSelection;
        return $this;
    }
}
